# Enum BindingSpecifier.Strategy

java.lang.Object
java.lang.Enum<BindingSpecifier.Strategy>
com.sun.grid.jsv.BindingSpecifier.Strategy

All Implemented Interfaces:
  `Serializable, Comparable<BindingSpecifier.Strategy>, java.lang.constant.Constable`

Enclosing class:
  `BindingSpecifier`

public static enum BindingSpecifier.Strategy extends Enum<BindingSpecifier.Strategy>

Since:
  6.2u5

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`EXPLICIT`
`LINEAR`
`STRIDING`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
`static BindingSpecifier.Strategy`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static BindingSpecifier.Strategy[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### LINEAR

public static final BindingSpecifier.Strategy LINEAR

### STRIDING

public static final BindingSpecifier.Strategy STRIDING

### EXPLICIT

public static final BindingSpecifier.Strategy EXPLICIT

## Method Details

### values

public static BindingSpecifier.Strategy[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static BindingSpecifier.Strategy valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()

Overrides:
  `toString` in class `Enum<BindingSpecifier.Strategy>`